CalryOTA Docs
Outgoing Webhooks

Update outgoing webhook app

Updates the outgoing webhook app for a specific integration provider. Allows modifying webhook URLs and events.

PATCH
/api/v1/outgoing-webhooks/{provider}

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

provider*string

Integration provider to update webhook app for

Value in"AVANTIO" | "BOOKINGSYNC" | "BOOM" | "CIIRUS" | "ELINA" | "GUESTY" | "HOSTAWAY" | "HOSTFULLY" | "HOSTIFY" | "INTERHOME" | "LODGIFY" | "OWNERREZ" | "HOSTHUB" | "UPLISTING" | "BEDS24" | "HOST_TOOLS" | "HOSTFULLYSANDBOX" | "HOSPITABLE" | "TOKEET" | "MR_ALFRED"

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/api/v1/outgoing-webhooks/AVANTIO" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "provider": "HOSTAWAY",
  "workspaceID": "123e4567-e89b-12d3-a456-426614174000",
  "events": [
    "RESERVATION_CREATED",
    "RESERVATION_UPDATED",
    "LISTINGS_IMPORTED"
  ],
  "urls": [
    "https://example.com/webhook",
    "https://api.example.com/notifications"
  ],
  "createdAt": "2024-01-01T00:00:00.000Z",
  "updatedAt": "2024-01-02T00:00:00.000Z"
}
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty